PHPExcel_Writer_Excel2007_Style

category | PHPExcel
package | PHPExcel_Writer_Excel2007
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Set parent IWriter object

    __construct(\PHPExcel_Writer_IWriter $pWriter)

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::__construct()

### Parameters

#### $pWriter

`\PHPExcel_Writer_IWriter`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Get an array of all borders

    allBorders(\PHPExcel $pPHPExcel) : \PHPExcel_Style_Borders[]

### Parameters

#### $pPHPExcel

`\PHPExcel`

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`\PHPExcel_Style_Borders[]`All borders in PHPExcel

## Get an array of all conditional styles

    allConditionalStyles(\PHPExcel $pPHPExcel) : \PHPExcel_Style_Conditional[]

### Parameters

#### $pPHPExcel

`\PHPExcel`

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`\PHPExcel_Style_Conditional[]`All conditional styles in PHPExcel

## Get an array of all fills

    allFills(\PHPExcel $pPHPExcel) : \PHPExcel_Style_Fill[]

### Parameters

#### $pPHPExcel

`\PHPExcel`

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`\PHPExcel_Style_Fill[]`All fills in PHPExcel

## Get an array of all fonts

    allFonts(\PHPExcel $pPHPExcel) : \PHPExcel_Style_Font[]

### Parameters

#### $pPHPExcel

`\PHPExcel`

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`\PHPExcel_Style_Font[]`All fonts in PHPExcel

## Get an array of all number formats

    allNumberFormats(\PHPExcel $pPHPExcel) : \PHPExcel_Style_NumberFormat[]

### Parameters

#### $pPHPExcel

`\PHPExcel`

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`\PHPExcel_Style_NumberFormat[]`All number formats in PHPExcel

## Get an array of all styles

    allStyles(\PHPExcel $pPHPExcel) : \PHPExcel_Style[]

### Parameters

#### $pPHPExcel

`\PHPExcel`

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`\PHPExcel_Style[]`All styles in PHPExcel

## Get parent IWriter object

    getParentWriter() : \PHPExcel_Writer_IWriter

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::getParentWriter()

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`\PHPExcel_Writer_IWriter`

## Set parent IWriter object

    setParentWriter(\PHPExcel_Writer_IWriter $pWriter)

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::setParentWriter()

### Parameters

#### $pWriter

`\PHPExcel_Writer_IWriter`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write styles to XML format

    writeStyles(\PHPExcel $pPHPExcel) : string

### Parameters

#### $pPHPExcel

`\PHPExcel`

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`XML Output

## Write Border

    _writeBorder(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Style_Borders $pBorders)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pBorders

`\PHPExcel_Style_Borders`

Borders style

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write BorderPr

    _writeBorderPr(\PHPExcel_Shared_XMLWriter $objWriter, string $pName, \PHPExcel_Style_Border $pBorder)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pName

`string`

Element name

#### $pBorder

`\PHPExcel_Style_Border`

Border style

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Cell Style Dxf

    _writeCellStyleDxf(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Style $pStyle)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pStyle

`\PHPExcel_Style`

Style

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Cell Style Xf

    _writeCellStyleXf(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Style $pStyle, \PHPExcel $pPHPExcel)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pStyle

`\PHPExcel_Style`

Style

#### $pPHPExcel

`\PHPExcel`

Workbook

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Fill

    _writeFill(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Style_Fill $pFill)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pFill

`\PHPExcel_Style_Fill`

Fill style

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Font

    _writeFont(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Style_Font $pFont)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pFont

`\PHPExcel_Style_Font`

Font style

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Gradient Fill

    _writeGradientFill(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Style_Fill $pFill)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pFill

`\PHPExcel_Style_Fill`

Fill style

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write NumberFormat

    _writeNumFmt(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Style_NumberFormat $pNumberFormat, int $pId)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pNumberFormat

`\PHPExcel_Style_NumberFormat`

Number Format

#### $pId

`int`

Number Format identifier

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Pattern Fill

    _writePatternFill(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Style_Fill $pFill)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pFill

`\PHPExcel_Style_Fill`

Fill style

### Exceptions

`\PHPExcel_Writer_Exception` |

### Properties

##

    $_parentWriter : \PHPExcel_Writer_IWriter

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::$$_parentWriter